/*******************************************************************************
* File Name: DAC8.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_DAC8_H) /* Pins DAC8_H */
#define CY_PINS_DAC8_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "DAC8_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 DAC8__PORT == 15 && ((DAC8__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    DAC8_Write(uint8 value);
void    DAC8_SetDriveMode(uint8 mode);
uint8   DAC8_ReadDataReg(void);
uint8   DAC8_Read(void);
void    DAC8_SetInterruptMode(uint16 position, uint16 mode);
uint8   DAC8_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the DAC8_SetDriveMode() function.
     *  @{
     */
        #define DAC8_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define DAC8_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define DAC8_DM_RES_UP          PIN_DM_RES_UP
        #define DAC8_DM_RES_DWN         PIN_DM_RES_DWN
        #define DAC8_DM_OD_LO           PIN_DM_OD_LO
        #define DAC8_DM_OD_HI           PIN_DM_OD_HI
        #define DAC8_DM_STRONG          PIN_DM_STRONG
        #define DAC8_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define DAC8_MASK               DAC8__MASK
#define DAC8_SHIFT              DAC8__SHIFT
#define DAC8_WIDTH              1u

/* Interrupt constants */
#if defined(DAC8__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in DAC8_SetInterruptMode() function.
     *  @{
     */
        #define DAC8_INTR_NONE      (uint16)(0x0000u)
        #define DAC8_INTR_RISING    (uint16)(0x0001u)
        #define DAC8_INTR_FALLING   (uint16)(0x0002u)
        #define DAC8_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define DAC8_INTR_MASK      (0x01u) 
#endif /* (DAC8__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define DAC8_PS                     (* (reg8 *) DAC8__PS)
/* Data Register */
#define DAC8_DR                     (* (reg8 *) DAC8__DR)
/* Port Number */
#define DAC8_PRT_NUM                (* (reg8 *) DAC8__PRT) 
/* Connect to Analog Globals */                                                  
#define DAC8_AG                     (* (reg8 *) DAC8__AG)                       
/* Analog MUX bux enable */
#define DAC8_AMUX                   (* (reg8 *) DAC8__AMUX) 
/* Bidirectional Enable */                                                        
#define DAC8_BIE                    (* (reg8 *) DAC8__BIE)
/* Bit-mask for Aliased Register Access */
#define DAC8_BIT_MASK               (* (reg8 *) DAC8__BIT_MASK)
/* Bypass Enable */
#define DAC8_BYP                    (* (reg8 *) DAC8__BYP)
/* Port wide control signals */                                                   
#define DAC8_CTL                    (* (reg8 *) DAC8__CTL)
/* Drive Modes */
#define DAC8_DM0                    (* (reg8 *) DAC8__DM0) 
#define DAC8_DM1                    (* (reg8 *) DAC8__DM1)
#define DAC8_DM2                    (* (reg8 *) DAC8__DM2) 
/* Input Buffer Disable Override */
#define DAC8_INP_DIS                (* (reg8 *) DAC8__INP_DIS)
/* LCD Common or Segment Drive */
#define DAC8_LCD_COM_SEG            (* (reg8 *) DAC8__LCD_COM_SEG)
/* Enable Segment LCD */
#define DAC8_LCD_EN                 (* (reg8 *) DAC8__LCD_EN)
/* Slew Rate Control */
#define DAC8_SLW                    (* (reg8 *) DAC8__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define DAC8_PRTDSI__CAPS_SEL       (* (reg8 *) DAC8__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define DAC8_PRTDSI__DBL_SYNC_IN    (* (reg8 *) DAC8__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define DAC8_PRTDSI__OE_SEL0        (* (reg8 *) DAC8__PRTDSI__OE_SEL0) 
#define DAC8_PRTDSI__OE_SEL1        (* (reg8 *) DAC8__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define DAC8_PRTDSI__OUT_SEL0       (* (reg8 *) DAC8__PRTDSI__OUT_SEL0) 
#define DAC8_PRTDSI__OUT_SEL1       (* (reg8 *) DAC8__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define DAC8_PRTDSI__SYNC_OUT       (* (reg8 *) DAC8__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(DAC8__SIO_CFG)
    #define DAC8_SIO_HYST_EN        (* (reg8 *) DAC8__SIO_HYST_EN)
    #define DAC8_SIO_REG_HIFREQ     (* (reg8 *) DAC8__SIO_REG_HIFREQ)
    #define DAC8_SIO_CFG            (* (reg8 *) DAC8__SIO_CFG)
    #define DAC8_SIO_DIFF           (* (reg8 *) DAC8__SIO_DIFF)
#endif /* (DAC8__SIO_CFG) */

/* Interrupt Registers */
#if defined(DAC8__INTSTAT)
    #define DAC8_INTSTAT            (* (reg8 *) DAC8__INTSTAT)
    #define DAC8_SNAP               (* (reg8 *) DAC8__SNAP)
    
	#define DAC8_0_INTTYPE_REG 		(* (reg8 *) DAC8__0__INTTYPE)
#endif /* (DAC8__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_DAC8_H */


/* [] END OF FILE */
